from django.urls import path
from netbox.views.generic import ObjectChangeLogView

from . import models, views


urlpatterns = (
    path("awxs/", views.AWXListView.as_view(), name="awx_list"),
    path("awxs/add/", views.AWXEditView.as_view(), name="awx_add"),
    path("awxs/<int:pk>/", views.AWXView.as_view(), name="awx"),
    path("awxs/<int:pk>/edit/", views.AWXEditView.as_view(), name="awx_edit"),
    path("awxs/<int:pk>/delete/", views.AWXDeleteView.as_view(), name="awx_delete"),
    path(
        "awxs/<int:pk>/changelog/",
        ObjectChangeLogView.as_view(),
        name="awx_changelog",
        kwargs={"model": models.AWX},
    ),
    path("awx-inventories/", views.AWXInventoryListView.as_view(), name="awxinventory_list"),
    path("awx-inventories/add", views.AWXInventoryEditView.as_view(), name="awxinventory_add"),
    path("awx-inventories/<int:pk>/", views.AWXInventoryView.as_view(), name="awxinventory"),
    path("awx-inventories/<int:pk>/edit/", views.AWXInventoryEditView.as_view(), name="awxinventory_edit"),
    path("awx-inventories/<int:pk>/delete/", views.AWXInventoryDeleteView.as_view(), name="awxinventory_delete"),
    path("awx-inventories/<int:pk>/sync/", views.AWXInventorySyncView.as_view(), name="awxinventory_sync"),
    path(
        "awx-inventories/<int:pk>/changelog/",
        ObjectChangeLogView.as_view(),
        name="awxinventory_changelog",
        kwargs={"model": models.AWXInventory},
    ),
)
